﻿using HttpClientStudy.Core.Utilities;

using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace HttpClientStudy.WebClient.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class CallApiController : ControllerBase
    {
        private readonly ILogger<CallApiController> _logger;
        public CallApiController(ILogger<CallApiController> logger) 
        {
            _logger = logger;
        }

        [HttpGet]
        public IActionResult Ping()
        {
            _logger.LogInformation("ping");
            return Ok("ping");
        }

        [HttpGet]
        public IActionResult Exception()
        {
            throw new Exception("异常测试");
        }
    }
}
