using System.Diagnostics;

using HttpClientStudy.Core.Utilities;

//WebApi
StartupUtility.StartWebApiProject();

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.

builder.Services.AddControllers();
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();

var app = builder.Build();

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI();
}

app.UseAuthorization();

app.MapControllers();

#region ˳ʱرWebAPI
/*
 * 1˳ִлƣ̫ɿֻ˳ʱִС
 * 2˳ ctl+c 
 * 3˳ ڴй©رս̣رǵWebAPIʱʱرʱ˳쳣˳
 */

// ȡ IHostApplicationLifetime ʵ
var applicationLifetime = app.Services.GetRequiredService<IHostApplicationLifetime>();

// עӦóֹͣ¼رWebApi
applicationLifetime.ApplicationStopping.Register(() =>
{
    //ע⣺ Visual Studio 2022 ԤУִʱ쳣ʽӦԤBug
    StartupUtility.ExitWebApiProject();
});

applicationLifetime.ApplicationStopped.Register(() =>
{
    Console.WriteLine("ֹͣ");
});

#endregion

app.Run();
